import { DomainEvent } from './index';

export class PhoneNumberBoundEvent extends DomainEvent {
  constructor(
    public readonly payload: { userId: string; phoneNumber: string },
  ) {
    super();
  }

  get eventType(): string {
    return 'PhoneNumberBound';
  }
}
